Send Notification to Member

Send a push notification to a member's notification center. Intended for marketing and engagement purposes such as promotional messages, announcements, or personalized offers. Optionally attach a deep link or a modal to be displayed when the member opens the notification.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint provides the flexibility to deliver tailored push notifications to individual members' devices. It offers customization of titles, text content, and optional images. Additionally, you can embed links to guide users within the app or trigger system actions, even incorporating modals for further engagement.

❗️

Important usage note

This endpoint is intended for transactional push notifications only (e.g. individual user actions, order updates, personal alerts). It is not designed or allowed for sending bulk or marketing push notifications.
For mass or marketing campaigns, please use our administration interface or supported integrations such as Bloomreach, which are optimized for large-scale delivery and compliance.

🚧

Important Notice on Notification Delivery

Please be aware that the delivery of notifications to member devices is not guaranteed. Notifications can only be sent to members using the mobile app, and their eligibility to receive these notifications depends on several factors:

App Availability: The app must be running in the foreground and have an active internet connection.
Background App Use: If the app is running in the background, the member must have enabled push notifications for the app.
Delivery Time: While delivery is typically instantaneous, there may be delays. These delays can be due to the load on our systems or variabilities in the push delivery services provided by Apple or Google.

Modal parts

You can create a modal app appearance by adding and organizing the available parts documented below.

Text with title

{
  "type": "textTitle",
  "title": "Lorem ipsum dolor", // titlethe above text
  "text": "Lorem ipsum dolor sit amet, consectetur adipiscing elit.", // text below title
  "center": true // if true title and text will be centered
}

Text

{
  "type": "text",  
  "text": "Lorem ipsum dolor sit amet, consectetur adipiscing elit."
}

Spacer

Add empty space for fine-tuning the modal appearance.

{
  "type": "spacer",  
  "size": "SMALL", // available: SMALL, LARGE
  "line": false // if true display horizontal line 
}

Button

Add a centered button to the modal that can either CLOSE the modal, link to other parts of the app, or open an external URL.

Types of link

linkTypeDescriptionlinkLink required?
URL_EMBEDOpen website inside Apphttps url of websiteYes
URL_BLANKOpen website in browser window/apphttps url of websiteYes
APPOpen specified screen inside appFor example:
messages,
map,
news,
news-article/{news_id},
coupons,
rewards,
pages,
page/{page_id},
contest/{contest_id}
Yes
SYSTEMCall system action or modalCAMERA - Request access to Camera
GPS - Request access to GPS
PUSH - Request access to sending PUSH notifications to Member
STORE_REVIEW - Request review on App Store / PlayStore
Yes
CLOSEClose this modal windowNo
🚧

Important notice on SYSTEM link type of STORE_REVIEW

  • You are limited to three store review requests per user within a 365-day period. Exceeding this limit will disable the review request button for that user.
  • These restrictions are likely in place to prevent app developers from overwhelming users with review requests.
{
  "type": "button",
  "title": "Okay", // text displayed on button
  "linkType": "CLOSE", // button behavior (URL_EMBED, URL_BLANK, APP, SYSTEM or CLOSE)
  "link": "optional link" // based on linkType, except 'CLOSE' is required
}

Code

Can display various types of QRCODE, EAN13, or TEXT codes.

{
  "type": "code",
  "code": "ABC123",
  "codeType": "TEXT" // Available: TEXT, CODE128, CODE39, EAN13, UPC, UPCA, UPCE, PDF417, QRCODE
Path Params
string
required

UUID of Member

Body Params
notification
object
required

Notification object

link
object
modal
object

Use "modal": null if you don't want to use this feature.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json